| Home | Libraries | People | FAQ | More

## Struct bad_day_of_month

boost::gregorian::bad_day_of_month —

Exception type for gregorian day of month (1..31).

## Synopsis

    struct bad_day_of_month {
      // construct/copy/destruct
      bad_day_of_month();
      bad_day_of_month(const std::string &);

      // public member functions
    };

## Description

### `bad_day_of_month` construct/copy/destruct

1.     bad_day_of_month();

2.     bad_day_of_month(const std::string & s);

   Allow other classes to throw with unique string for bad day like Feb 29.

### `bad_day_of_month` public member functions

| Copyright © 2001-2004 CrystalClear Software, Inc